Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model.binding
Class DCVariableValueManagerImpl

`java.lang.Object
oracle.jbo.common.VariableManagerImpl
oracle.jbo.common.VariableValueManagerImpl
oracle.adf.model.binding.DCVariableValueManagerImpl`

All Implemented Interfaces:
  java.io.Serializable, oracle.jbo.VariableManager, oracle.jbo.VariableValueManager

public class DCVariableValueManagerImpl
extends oracle.jbo.common.VariableValueManagerImpl
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`DCVariableValueManagerImpl(oracle.jbo.VariableManagerOwner owner, oracle.jbo.VariableValueManager defVarMgr, DCBindingContainer bc)`

Method Summary
`protected DCBindingContainer` | `getBindingContainer()`
`protected oracle.jbo.common.VariableImpl` | `internalCreateVariableInstance()`
`protected java.util.List` | `variableList()`

Methods inherited from class oracle.jbo.common.VariableValueManagerImpl
`accessValue, activatePassivatedVariables, clearValue, clearValue, getPassivatableVariables, getVariableValue, getVariableValue, getVariableValueRaw, getVariableValueRaw, getVariableValues, getVariableValuesRaw, mergeVariableValues, populateVariableValue, replaceVariable, setVariableValue, setVariableValue, values`

Methods inherited from class oracle.jbo.common.VariableManagerImpl
`addVariable, addVariable, clearVariables, findDeclaredVariable, findVariable, getDeclaredVariableCount, getDeclaredVariables, getName, getVariableCount, getVariables, getVariablesMap, getVariablesOfKind, getVarMgrOwner, getVarMgrParents, loadFromXML, loadFromXML, lookupVariable, mergeVariables, removeVariable, setVarMgrParents, variableChanged, variables`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.jbo.VariableManager
`addVariable, addVariable, clearVariables, findDeclaredVariable, findVariable, getDeclaredVariableCount, getDeclaredVariables, getName, getVariableCount, getVariables, getVariablesMap, getVariablesOfKind, getVarMgrOwner, getVarMgrParents, lookupVariable, mergeVariables, removeVariable, variableChanged`

Constructor Detail

### DCVariableValueManagerImpl

    public DCVariableValueManagerImpl(oracle.jbo.VariableManagerOwner owner,
                                      oracle.jbo.VariableValueManager defVarMgr,
                                      DCBindingContainer bc)

Method Detail

### internalCreateVariableInstance

    protected oracle.jbo.common.VariableImpl internalCreateVariableInstance()

### getBindingContainer

    protected DCBindingContainer getBindingContainer()

### variableList

    protected java.util.List variableList()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.